> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calmtreasury.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Cash App order

> Return the status of a single Cash App order.

The status of one Cash App order, including its payment `url`. Poll it after
creating the order until it reaches a terminal state.


## OpenAPI

````yaml api/openapi.json GET /v1/cashapp/{id}
openapi: 3.1.0
info:
  description: Fiat-to-USDC onramp API. The URL prefix (`/v1`) is the version contract.
  license:
    identifier: LicenseRef-Proprietary
    name: Proprietary
  title: Calm API
  version: v1
servers:
  - description: Production
    url: https://api.calmtreasury.xyz
  - description: Sandbox
    url: https://api.sandbox.calmtreasury.xyz
security: []
paths:
  /v1/cashapp/{id}:
    get:
      summary: Get a Cash App order
      description: >-
        Returns a Cash App order by id, including its current status and payment
        url.
      operationId: getCashAppOrder
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            type: string
        - in: query
          name: wallet
          required: true
          schema:
            pattern: ^0x[a-fA-F0-9]{40}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  created_at:
                    format: date-time
                    type: string
                  destination:
                    properties:
                      amount:
                        type: string
                      chain:
                        description: >-
                          Chain id. Currently 1, 8453, 999, 1337, 4326, 143,
                          137, 42161 — additive; tolerate unknown values.
                        maximum: 9007199254740991
                        minimum: -9007199254740991
                        type: integer
                      decimals:
                        maximum: 9007199254740991
                        minimum: -9007199254740991
                        type: integer
                      token:
                        type: string
                      wallet:
                        pattern: ^0x[a-fA-F0-9]{40}$
                        type: string
                    required:
                      - wallet
                      - chain
                      - token
                      - amount
                      - decimals
                    type: object
                  fee:
                    properties:
                      amount:
                        type: string
                      decimals:
                        maximum: 9007199254740991
                        minimum: -9007199254740991
                        type: integer
                    required:
                      - amount
                      - decimals
                    type: object
                  id:
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    type: string
                  source:
                    properties:
                      amount:
                        type: string
                      currency:
                        type: string
                    required:
                      - currency
                      - amount
                    type: object
                  status:
                    enum:
                      - pending
                      - processing
                      - confirming
                      - swapping
                      - bridging
                      - awaiting_approval
                      - delivering
                      - completed
                      - failed
                      - refunding
                      - refunded
                      - unfulfilled
                      - expired
                    type: string
                  url:
                    type: string
                required:
                  - id
                  - status
                  - source
                  - destination
                  - fee
                  - url
                  - created_at
                type: object
          description: The Cash App order.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: >-
            Bad Request — `error.code` includes: publishable_key_missing,
            validation_error.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Unauthorized — `error.code` includes: invalid_publishable_key.'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Forbidden — `error.code` includes: origin_not_allowed.'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Not Found — `error.code` includes: cashapp_order_not_found.'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 'Too Many Requests — `error.code` includes: rate_limited.'
      security:
        - publishableKey: []
components:
  schemas:
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      required:
        - error
      type: object
  securitySchemes:
    publishableKey:
      description: Publishable key identifying the calling app.
      in: header
      name: x-calm-publishable-key
      type: apiKey

````